### Method

# Pos InputMethod send_preedit

#### Declaration [src]

    void
    pos_input_method_send_preedit (
      PosInputMethod* self,
      const char* preedit,
      guint cstart,
      guint cend,
      gboolean commit
    )

#### Description [src]

This sends the given text via a `set_preedit_string` request.

#### Parameters

`preedit`

  Type: `const char*`

  The preedit to send.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cstart`

  Type: `guint`

  The start of the cursor.

`cend`

  Type: `guint`

  The end of the cursor.

`commit`

  Type: `gboolean`

  Whether to invoke `commit` request as well.